const {ipcMain} = require('electron');
const dialog = require('./function/dialog');

ipcMain.on('refresh-card', (event, arg) => {
    mainWindow.webContents.send('refresh-card');
});

ipcMain.on('confirm-delete', (event, arg) => {
    dialog.message(
        'Confirmation',
        `Voulez vous vraiment supprimer la note ${arg}`,
        'question',
        ['Non', 'Oui'],
        0,
        false,
        (index, btn) => {
            event.sender.send('delete-card', index === 1);
        }
    );
});